Skip to main content
POST
/
redis
/
change-plan
/
{id}
Change Database Plan
curl --request POST \
  --url https://api.upstash.com/v2/redis/change-plan/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan_name": "fixed_1gb",
  "database_id": "6gcefvfd-9627-2tz5-4l71-c5679g19d2g4",
  "auto_upgrade": true,
  "prod_pack_enabled": false
}
'
import requests

url = "https://api.upstash.com/v2/redis/change-plan/{id}"

payload = {
    "plan_name": "fixed_1gb",
    "database_id": "6gcefvfd-9627-2tz5-4l71-c5679g19d2g4",
    "auto_upgrade": True,
    "prod_pack_enabled": False
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    plan_name: 'fixed_1gb',
    database_id: '6gcefvfd-9627-2tz5-4l71-c5679g19d2g4',
    auto_upgrade: true,
    prod_pack_enabled: false
  })
};

fetch('https://api.upstash.com/v2/redis/change-plan/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"OK"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the database whose plan will be changed

Body

application/json
plan_name
enum<string>
required

The new plan for the database

Available options:
free,
payg,
fixed_250mb,
fixed_1gb,
fixed_5gb,
fixed_10gb,
fixed_50gb,
fixed_100gb,
fixed_500gb
Example:

"fixed_1gb"

database_id
string

ID of the database

Example:

"6gcefvfd-9627-2tz5-4l71-c5679g19d2g4"

auto_upgrade
boolean

Whether to enable automatic upgrade for the database

Example:

true

prod_pack_enabled
boolean

Whether to enable the production pack for the database

Example:

false

Response

200 - application/json

Plan changed successfully

The response is of type string.

Example:

"OK"